Allocate Portfolio
curl --request POST \
--url https://api.coinbase.com/api/v3/brokerage/intx/allocate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"portfolio_uuid": "<string>",
"symbol": "<string>",
"amount": "<string>",
"currency": "<string>"
}
'import requests
url = "https://api.coinbase.com/api/v3/brokerage/intx/allocate"
payload = {
"portfolio_uuid": "<string>",
"symbol": "<string>",
"amount": "<string>",
"currency": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
portfolio_uuid: '<string>',
symbol: '<string>',
amount: '<string>',
currency: '<string>'
})
};
fetch('https://api.coinbase.com/api/v3/brokerage/intx/allocate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<string>",
"code": 123,
"message": "<string>",
"details": [
{
"type_url": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}International Derivatives (INTX, deprecated)
Allocate Portfolio
Allocate portfolio funds to a sub-portfolio on Intx Portfolio
POST
/
api
/
v3
/
brokerage
/
intx
/
allocate
Allocate Portfolio
Deprecated — retires September 9, 2026. This INTX perpetuals endpoint is being replaced by the Deribit-powered derivatives gateway. Migrate before the cutover — see the Migration Overview.
Authorizations
A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Creating API Keys section of our Coinbase App Authentication docs for information on how to generate your Bearer Token.
Body
application/json
Response
A successful response.
The response is of type object.
Was this page helpful?
⌘I